/**
 * Conventions:
 * _message: is for unformatted text that will be shown as-is to
 * the user.
 * _text: is for text that will appear in the UI, possibly with
 * decorations, e.g., $(x) uses the https://octicons.github.com/ and should not
 * be localized
 *
 * If ommitted, we will assume _message.
 */
export declare const messages: {
    unexpected_execute_command_error: string;
    file_not_found_error: string;
    missing_info_log_error: string;
    unexpected_log_get_command_error: string;
    num_logs_error: string;
    option_exec_anon_error: string;
    unexpected_exec_anon_input_error: string;
    exec_anon_input_prompt: string;
    exec_anon_input_timeout: string;
    no_test_result_summary: string;
    no_test_queue_results: string;
    no_access_token_found: string;
    streaming_handshake_fail: string;
    streaming_transport_up: string;
    streaming_transport_down: string;
    streaming_processing_test_run: string;
};
