import { Connection } from '@salesforce/core';
import { ApexLogGetOptions } from './types';
import { AnyJson } from '@salesforce/ts-types';
export declare class LogService {
    readonly connection: Connection;
    constructor(connection: Connection);
    getIdList(options: ApexLogGetOptions): Promise<string[]>;
    getLogs(options: ApexLogGetOptions): Promise<string[]>;
    getLogIds(numberOfLogs: number): Promise<string[]>;
    toolingRequest(url: string): Promise<AnyJson>;
}
