import { Connection } from '@salesforce/core';
import { ApexTestQueueItem } from '../tests/types';
import { TestResultMessage } from './types';
export declare class StreamingClient {
    private client;
    private conn;
    private apiVersion;
    subscribedTestRunId: string;
    private removeTrailingSlashURL;
    getStreamURL(instanceUrl: string): string;
    constructor(connection: Connection);
    init(): Promise<void>;
    subscribe(testRunId: string): Promise<ApexTestQueueItem>;
    private isValidTestRunID;
    handler(message: TestResultMessage): Promise<ApexTestQueueItem>;
}
